{
This is an simple example showing how to generate a HtmlTable into a
file. The table used is one of the Demo tables included in Delphi and Delphi 2.0}  

unit Unit32;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs, HtmlDB, DB, DBTables, StdCtrls;

type
  TForm1 = class(TForm)
    HtmlDBGrid1: THtmlDBGrid;
    Button1: TButton;
    Edit1: TEdit;
    Query1: TQuery;
    Query: TLabel;
    Label1: TLabel;
    Edit2: TEdit;
    Label2: TLabel;
    Edit3: TEdit;
    Label3: TLabel;
    procedure HtmlDBGrid1DrawText(Text: string);
    procedure Button1Click(Sender: TObject);
    procedure HtmlDBGrid1CustomiseField(Sender: TObject; Field: TField;
      var FieldString, Link, Image: string;
      var FieldWidthType: TFieldWidthType; var TextColor, BGColor: TColor;
      var FontSize: TFontSize; var Bold, Italic, NoFlow, NoWrap: Boolean);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}
var

F : TFileStream;

procedure TForm1.HtmlDBGrid1DrawText(Text: string);
begin
  f.write(Text[1],Length(Text));
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  f:=TFileStream.Create(Edit2.Text,fmCreate);
  HtmlDBGrid1DrawText('<HTML><HEAD><TITLE>HtmlDBGrid test</TITLE><BODY>'+#13#10);
  Query1.DatabaseName:=Edit3.Text;
  Query1.SQL.Clear;
  Query1.SQL.Add(Edit1.Text);
  Query1.Open;
  HtmlDBGrid1.DrawGrid(modeNetscape);
  HtmlDBGrid1DrawText('</BODY></HTML>'+#13#10);
  F.Free;
  Query1.Close;
  MessageDlg('File has been generated', mtInformation,[mbOk], 0);
end;

procedure TForm1.HtmlDBGrid1CustomiseField(Sender: TObject; Field: TField;
  var FieldString, Link, Image: string;
  var FieldWidthType: TFieldWidthType; var TextColor, BGColor: TColor;
  var FontSize: TFontSize; var Bold, Italic, NoFlow, NoWrap: Boolean);
begin
  if AnsiUpperCase(Field.FieldName)='NAME' then
  begin
    TextColor:=Random($FFFFF);
    FontSize:=fsSize4;
    Bold:=True
  end
  else if AnsiUpperCase(Field.FieldName)='CAPITAL' then
  begin
    TextColor:=Random($FFFFF);
    Italic:=True;
  end
  else if AnsiUpperCase(Field.FieldName)='CONTINENT' then
  begin
    Link:='MyInvalidPage.htm?'+FieldString;
  end
  else if AnsiUpperCase(Field.FieldName)='POPULATION' then
  begin
    Link:='MyInvalidPage2.htm?'+FieldString;
  end
end;

end.
